Jfinal3.1及以上版本的部署踩坑

之前的项目都是 jfinal2.2的,最近这一个项目由于要使用HikariPlugin,我升级到了3.1,项目弄完后打了包在本地 tomcat8.5运行,(我是window10专业版),运行没有问题,很正常,然后传到服务器,一跑,在登录界面没有任何反应,tomcat日志里面也没有错误信息,看了一下服务器的版本,是8.0.26,于是在本地下载了一个tomcat8.0.26,试运行了一下,很正常,没有问题,于是在服务器安装了一个8.5版本的tomcat,试跑了一下,也没有任何问题,得到的结论是jfina3.1或之上在 linux tomcat8.0版本是跑不起来的,要用8.5或更高版本的tomcat,

评论区

快乐的蹦豆子

2019-12-03 10:04

上版本9

zzutligang

2019-12-03 10:17

这个结论有点武断了!

nommpop

2019-12-03 11:04

@zzutligang 试了很多次,不信你可以试试

zjianh

2019-12-05 17:33

2019年12月5日17点33分

JFinal

2019-12-06 23:41

@zjianh 应该不是 tomcat 的原因,建议要仔细分析日志中的异常信息,解决起来很容易

此外,tomcat 下部署建议参考:
https://jfinal.com/doc/1-7